from django.urls import path

from . import views


urlpatterns = [
    path('', views.index, name='index'),
    path('admin/', views.admin, name='admin'),

    path('admin/order', views.adminOrderList, name='adminOrderList'),
    path('admin/order/create', views.adminOrderCreate, name='createOrder'),
    path('admin/order/edit/<oid>', views.adminOrderEdit, name='orderEdit'),

    #path('admin/order/delete/<oid>', views.adminOrderDelete, name='orderDelete'),
    path('admin/menu', views.adminMenuList, name='adminMenuList'),
    path('admin/menu/create', views.adminMenuCreate, name='menuCreate'),
    path('admin/menu/edit/<oid>', views.adminMenuEdit, name='menuEdit'),

    path('admin/kitchen', views.adminKitchenList, name='adminKitchenList'),

    path('admin/table', views.adminTableList, name='adminTableList'),
    path('admin/table/create', views.adminTableCreate, name='tableCreate'),
    path('admin/table/edit/<oid>', views.adminTableEdit, name='tableEdit'),

    path('admin/booking', views.adminBookingList, name='adminBookingList'),
    path('admin/booking/create', views.adminBookingCreate, name='bookingCreate'),
    path('admin/booking/edit/<oid>', views.adminBookingEdit, name='bookingEdit'),

    path('admin/post', views.adminPostList, name='adminPostList'),
    path('admin/post/create', views.adminPostCreate, name='postCreate'),
    path('admin/post/edit/<oid>', views.adminPostEdit, name='postEdit'),

    path('admin/customer', views.adminCustomerList, name='adminCustomerList'),
    path('admin/customer/create', views.adminCustomerCreate, name='customerCreate'),
    path('admin/customer/edit/<oid>', views.adminCustomerEdit, name='customerEdit'),

    path('admin/messages', views.adminMessageList, name='messageList'),
    path('admin/messages/create', views.adminMessageCreate, name='messageCreate'),
    path('admin/messages/edit/<oid>', views.adminMessageEdit, name='messageEdit'),

    path('admin/user', views.adminUserList, name='adminUserList'),
    path('admin/user/create', views.adminUserCreate, name='userCreate'),
    path('admin/user/edit/<oid>', views.adminUserEdit, name='userEdit'),

    path('admin/marketing', views.adminMarketing, name='adminMarketing'),
    path('admin/customer', views.adminCustomer, name='adminCustomer'),
    path('admin/store', views.adminStore, name='adminStore'),
    path('admin/code', views.adminCode, name='adminCode'),
    path('admin/ui', views.adminUI, name='adminUI'),


    path('admin/uimenu', views.adminUIMenuList, name='adminUIMenuList'),
    path('admin/uimenu/create', views.adminUIMenuCreate, name='UIMenuCreate'),
    path('admin/uimenu/edit/<oid>', views.adminUIMenuEdit, name='UIMenuEdit'),
    #path('myStore', views.myStore, name='myStore'),
]
app_name = 'pos'
